import React from "react";
import Grid from "./Grid";
import { styles } from "../styles";
import PropTypes from "prop-types";
export default function Signature({
  logo,
  facebook,
  instagram,
  linkedIn,
  personName,
  personPosition,
  tel,
  email,
  website
}) {
  return /*#__PURE__*/React.createElement("div", {
    style: styles.tableWrapper
  }, /*#__PURE__*/React.createElement(Grid, {
    style: { ...styles.tableCard,
      ...styles.mainStyles,
      padding: "12px",
      borderRadius: "10px 10px 0 10px",
      boxShadow: "0px 0px 6px 2px rgba(34, 22, 115, 0.15)"
    }
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.leftCell
  }, /*#__PURE__*/React.createElement(Grid, {
    style: styles.leftSubGrid
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.imgCell
  }, /*#__PURE__*/React.createElement("img", {
    style: styles.mainImg,
    src: logo,
    alt: "Antwerp logo",
    role: "presentation"
  }))), /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    height: "24"
  })), /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.imgCell
  }, /*#__PURE__*/React.createElement(Grid, {
    style: { ...styles.leftSubGrid,
      display: "inline-block"
    }
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, null, /*#__PURE__*/React.createElement("a", {
    href: facebook,
    style: styles.aTagSocials
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656242124/Icons/facebook_bbrqkn.png",
    alt: "Facebook",
    style: styles.socialIcon
  }))), /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "8"
  }), /*#__PURE__*/React.createElement(Grid.Cell, null, /*#__PURE__*/React.createElement("a", {
    href: instagram,
    style: styles.aTagSocials
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656242125/Icons/ig_laqxtz.png",
    alt: "Instagram",
    style: styles.socialIcon
  }))), /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "8"
  }), /*#__PURE__*/React.createElement(Grid.Cell, null, /*#__PURE__*/React.createElement("a", {
    href: linkedIn,
    style: styles.aTagSocials
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656242124/Icons/linkedin_wkfzuc.png",
    alt: "LinkedIn",
    style: styles.socialIcon
  }))), /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "8"
  }))))))), /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "40"
  }), /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.rightCell
  }, /*#__PURE__*/React.createElement("h3", {
    color: "#0077FF",
    style: styles.personName
  }, personName), /*#__PURE__*/React.createElement("p", {
    color: "#221673",
    style: styles.personPosition
  }, personPosition), /*#__PURE__*/React.createElement(Grid, {
    style: { ...styles.leftSubGrid,
      width: "100%"
    }
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    height: "24"
  })), /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.horizontalLine,
    height: "2",
    color: "#221673",
    direction: "horizontal"
  })), /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    height: "16"
  }))), /*#__PURE__*/React.createElement(Grid, {
    style: { ...styles.leftSubGrid,
      width: "100%"
    }
  }, /*#__PURE__*/React.createElement(Grid.Row, {
    height: "25",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "30",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid, {
    style: styles.leftSubGrid
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.alignBottom
  }, /*#__PURE__*/React.createElement("span", {
    style: styles.miniIconSpan
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656237146/Icons/tel_vhktpx.png",
    alt: "phone",
    style: styles.miniIconImg
  })))))), /*#__PURE__*/React.createElement(Grid.Cell, {
    style: {
      padding: 0,
      color: "rgb(0, 0, 0)"
    }
  }, /*#__PURE__*/React.createElement("a", {
    href: `tel:${tel}`,
    color: "#000000",
    style: styles.linkTag
  }, /*#__PURE__*/React.createElement("strong", null, /*#__PURE__*/React.createElement("span", null, tel))))), /*#__PURE__*/React.createElement(Grid.Row, {
    height: "25",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "30",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid, {
    style: styles.leftSubGrid
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.alignBottom
  }, /*#__PURE__*/React.createElement("span", {
    style: styles.miniIconSpan
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656237838/Icons/email_win1q1.png",
    alt: "email",
    style: styles.miniIconImg
  })))))), /*#__PURE__*/React.createElement(Grid.Cell, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement("a", {
    href: `emailto:${email}`,
    color: "#000000",
    style: styles.linkTag
  }, /*#__PURE__*/React.createElement("strong", null, /*#__PURE__*/React.createElement("span", {
    color: "#221673",
    style: styles.emailDomain
  }, email?.match(/^.*(?=@)/g)[0])), /*#__PURE__*/React.createElement("span", null, "@", email?.match(/(?<=@)[^.]+(?=\.)/g), ".com")))), /*#__PURE__*/React.createElement(Grid.Row, {
    height: "25",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "30",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid, {
    style: styles.leftSubGrid
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.alignBottom
  }, /*#__PURE__*/React.createElement("span", {
    style: styles.miniIconSpan
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656237978/Icons/location_qevnho.png",
    alt: "location",
    style: styles.miniIconImg
  })))))), /*#__PURE__*/React.createElement(Grid.Cell, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement("a", {
    href: "https://goo.gl/maps/QNBUVzKLsKqr7MWVA",
    style: styles.linkTag
  }, /*#__PURE__*/React.createElement("span", null, "The Exchange Tower- Floor 15- Business Bay- Dubai")))), /*#__PURE__*/React.createElement(Grid.Row, {
    height: "25",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid.Cell, {
    width: "30",
    style: styles.alignMiddle
  }, /*#__PURE__*/React.createElement(Grid, {
    style: styles.leftSubGrid
  }, /*#__PURE__*/React.createElement(Grid.Row, null, /*#__PURE__*/React.createElement(Grid.Cell, {
    style: styles.alignBottom
  }, /*#__PURE__*/React.createElement("span", {
    style: styles.miniIconSpan
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://res.cloudinary.com/dniaqkd0y/image/upload/v1656237488/Icons/website_simu4o.png",
    alt: "website",
    style: styles.miniIconImg
  })))))), /*#__PURE__*/React.createElement(Grid.Cell, {
    style: {
      padding: 0
    }
  }, /*#__PURE__*/React.createElement("a", {
    href: website,
    style: { ...styles.linkTag,
      lineHeight: "20px"
    }
  }, /*#__PURE__*/React.createElement("span", null, website)))))))));
}
Signature.propTypes = {
  logo: PropTypes.string,
  facebook: PropTypes.string,
  instagram: PropTypes.string,
  linkedIn: PropTypes.string,
  personName: PropTypes.string,
  personPosition: PropTypes.string,
  tel: PropTypes.string,
  email: PropTypes.string,
  website: PropTypes.string
};